System 2.0.0.0 4.0.0.0 System.Enum

The values in the enumeration specify reply status values sent by a Simple Mail Transfer Protocol (SMTP) server. The and classes contain properties that return values.

SMTP is defined in RFC 2821 available at http://www.ietf.org.

Specifies the outcome of sending e-mail by using the class.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Mail.SmtpStatusCode

  The commands were sent in the incorrect sequence.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Mail.SmtpStatusCode

  The specified user is not local, but the receiving SMTP service accepted the message and attempted to deliver it. This status code is defined in RFC 1123, which is available at http://www.ietf.org.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Mail.SmtpStatusCode

  The client was not authenticated or is not allowed to send mail using the specified SMTP host.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Mail.SmtpStatusCode

  The SMTP service does not implement the specified command.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Mail.SmtpStatusCode

  The SMTP service does not implement the specified command parameter.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Mail.SmtpStatusCode

  The SMTP service does not recognize the specified command.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Mail.SmtpStatusCode

  The message is too large to be stored in the destination mailbox.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Mail.SmtpStatusCode

  The transaction could not occur. You receive this error when the specified SMTP host cannot be found.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Mail.SmtpStatusCode

  A Help message was returned by the service.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Mail.SmtpStatusCode

  The SMTP service does not have sufficient storage to complete the request.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Mail.SmtpStatusCode

  The SMTP service cannot complete the request. This error can occur if the client's IP address cannot be resolved (that is, a reverse lookup failed). You can also receive this error if the client domain has been identified as an open relay or source for unsolicited e-mail (spam). For details, see RFC 2505, which is available at http://www.ietf.org.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Mail.SmtpStatusCode

  The destination mailbox is in use.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Mail.SmtpStatusCode

  The syntax used to specify the destination mailbox is incorrect.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Mail.SmtpStatusCode

  The destination mailbox was not found or could not be accessed.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Mail.SmtpStatusCode

  The SMTP server is configured to accept only TLS connections, and the SMTP client is attempting to connect by using a non-TLS connection. The solution is for the user to set EnableSsl=true on the SMTP Client.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Mail.SmtpStatusCode

  The email was successfully sent to the SMTP service.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Mail.SmtpStatusCode

  The SMTP service is closing the transmission channel.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Mail.SmtpStatusCode

  The SMTP service is not available; the server is closing the transmission channel.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Mail.SmtpStatusCode

  The SMTP service is ready.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Mail.SmtpStatusCode

  The SMTP service is ready to receive the e-mail content.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Mail.SmtpStatusCode

  The syntax used to specify a command or parameter is incorrect.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Mail.SmtpStatusCode

  A system status or system Help reply.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Mail.SmtpStatusCode

  The transaction failed.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Mail.SmtpStatusCode

  The user mailbox is not located on the receiving server. You should resend using the supplied address information.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Mail.SmtpStatusCode

  The user mailbox is not located on the receiving server; the server forwards the e-mail.